## EWebDAVBrowser

EWebDAVBrowser — WebDAV server browser

## Functions

GtkWidget * | e_webdav_browser_new ()
ECredentialsPrompter * | e_webdav_browser_get_credentials_prompter ()
void | e_webdav_browser_set_source ()
ESource * | e_webdav_browser_ref_source ()
void | e_webdav_browser_abort ()
void | e_webdav_browser_refresh ()

## Properties

ECredentialsPrompter * | credentials-prompter | Read / Write / Construct Only
ESource * | source | Read / Write

## Types and Values

struct | EWebDAVBrowser

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkGrid
                        ╰── EWebDAVBrowser

## Implemented Interfaces

EWebDAVBrowser implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <e-util/e-util.h>

## Description

EWebDAVBrowser allows to browse WebDAV servers and manage (create/edit/remove) collections there, like calendars and address books, if the server supports it.

## Functions

### e_webdav_browser_new ()

    GtkWidget *
    e_webdav_browser_new (ECredentialsPrompter *credentials_prompter);

Creates a new EWebDAVBrowser instance.

#### Parameters

credentials_prompter | an ECredentialsPrompter |

#### Returns

an EWebDAVBrowser as a GtkWidget.

[transfer full]

Since: 3.26

### e_webdav_browser_get_credentials_prompter ()

    ECredentialsPrompter *
    e_webdav_browser_get_credentials_prompter
                                   (EWebDAVBrowser *webdav_browser);

#### Parameters

webdav_browser | an EWebDAVBrowser |

#### Returns

an ECredentialsPrompter used to call of `e_webdav_browser_new()`.

[transfer none]

Since: 3.26

### e_webdav_browser_set_source ()

    void
    e_webdav_browser_set_source (EWebDAVBrowser *webdav_browser,
                                 ESource *source);

Sets the `source` to be the one used for the `webdav_browser` . It can be `NULL`, to have none set.

#### Parameters

webdav_browser | an EWebDAVBrowser |
source | an ESource. | [nullable]

Since: 3.26

### e_webdav_browser_ref_source ()

    ESource *
    e_webdav_browser_ref_source (EWebDAVBrowser *webdav_browser);

#### Parameters

webdav_browser | an EWebDAVBrowser |

#### Returns

an ESource, currently used by `webdav_browser` ; if not `NULL`, then free with `g_object_unref()`, when no longer needed.

[transfer full][nullable]

Since: 3.26

### e_webdav_browser_abort ()

    void
    e_webdav_browser_abort (EWebDAVBrowser *webdav_browser);

Aborts any ongoing operation. It does nothing, if no operation is running.

#### Parameters

webdav_browser | an EWebDAVBrowser |

Since: 3.26

### e_webdav_browser_refresh ()

    void
    e_webdav_browser_refresh (EWebDAVBrowser *webdav_browser);

## Types and Values

### struct EWebDAVBrowser

    struct EWebDAVBrowser;

Contains only private data that should be read and manipulated using the functions below.

Since: 3.26

## Property Details

### The `“credentials-prompter”` property

      “credentials-prompter”     ECredentialsPrompter *

The ECredentialsPrompter used to ask for credentials when needed.

Owner: EWebDAVBrowser

Flags: Read / Write / Construct Only

Since: 3.26

### The `“source”` property

      “source”                   ESource *

The ESource currently used for the GUI. It can be `NULL`.

Owner: EWebDAVBrowser

Flags: Read / Write

Since: 3.26